%------------------------------------------------------------------------------
% File     : SWB027+3 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Inferred Property Characteristics II
% Version  : [Sch11] axioms : Incomplete.
% English  : 

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : 027_Inferred_Property_Characteristics_II [Sch11]

% Status   : CounterSatisfiable
% Rating   : 0.78 v6.1.0, 0.80 v6.0.0, 1.00 v5.5.0, 0.86 v5.4.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :  140 (  74 unit)
%            Number of atoms       :  317 (   0 equality)
%            Maximal formula depth :   18 (   3 average)
%            Number of connectives :  180 (   3   ~;   3   |;  79   &)
%                                         (  38 <=>;  57  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   11 (   0 propositional; 1-3 arity)
%            Number of functors    :   52 (  52 constant; 0-0 arity)
%            Number of variables   :  162 (   0 sgn; 157   !;   5   ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_CSA_RFO_NEQ

% Comments :
%------------------------------------------------------------------------------
%----Include ALCO Full Extensional axioms
include('Axioms/SWB002+0.ax').
%------------------------------------------------------------------------------
fof(testcase_conclusion_fullish_027_Inferred_Property_Characteristics_II,conjecture,(
    iext(uri_rdf_type,uri_ex_p,uri_owl_InverseFunctionalProperty) )).

fof(testcase_premise_fullish_027_Inferred_Property_Characteristics_II,axiom,(
    ? [BNODE_l1,BNODE_l2,BNODE_v] :
      ( iext(uri_owl_propertyChainAxiom,uri_owl_sameAs,BNODE_l1)
      & iext(uri_rdf_first,BNODE_l1,uri_ex_p)
      & iext(uri_rdf_rest,BNODE_l1,BNODE_l2)
      & iext(uri_rdf_first,BNODE_l2,BNODE_v)
      & iext(uri_rdf_rest,BNODE_l2,uri_rdf_nil)
      & iext(uri_owl_inverseOf,BNODE_v,uri_ex_p) ) )).

%------------------------------------------------------------------------------
