%------------------------------------------------------------------------------
% File     : KLE172+1 : TPTP v6.1.0. Released v5.5.0.
% Domain   : Kleene Algebra
% Problem  : Ben's problem 2
% Version  : [Hoe08] axioms.
% English  : 

% Refs     : 
% Source   : TPTP
% Names    :
% Status   : CounterSatisfiable
% Rating   : 0.45 v6.0.0, 0.69 v5.5.0
% Syntax   : Number of formulae    :   18 (  15 unit)
%            Number of atoms       :   21 (  13 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   30 (   0 sgn;  30   !;   0   ?)
%            Maximal term depth    :    5 (   2 average)
% SPC      : FOF_CSA_RFO_SEQ

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of Kleene algebra
include('Axioms/KLE002+0.ax').
%------------------------------------------------------------------------------
fof(an,axiom,(
    sigma = addition(a,b) )).

fof(a,conjecture,(
    leq(multiplication(a,multiplication(b,multiplication(b,multiplication(a,b)))),multiplication(star(sigma),multiplication(a,multiplication(sigma,a)))) )).

%------------------------------------------------------------------------------

