%------------------------------------------------------------------------------
% File     : KLE170+1.004 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Kleene Algebra (Regular Expressions)
% Problem  : a^N <= a*, N=4
% Version  : [Hoe08] axioms.
% English  : 

% Refs     : [Hoe08] Hoefner (2008), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.60 v6.1.0, 0.70 v6.0.0, 0.65 v5.5.0, 0.74 v5.4.0, 0.75 v5.3.0, 0.81 v5.2.0
% Syntax   : Number of formulae    :   17 (  14 unit)
%            Number of atoms       :   20 (  12 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   30 (   0 sgn;  30   !;   0   ?)
%            Maximal term depth    :    4 (   2 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of Kleene algebra
include('Axioms/KLE002+0.ax').
%------------------------------------------------------------------------------
fof(a,conjecture,(
    leq(multiplication(a,multiplication(a,multiplication(a,a))),star(a)) )).

%------------------------------------------------------------------------------
