%------------------------------------------------------------------------------
% File     : SWB014+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Harry belongs to some Species
% Version  : [Sch11] axioms.
% English  : 

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : 014_Harry_belongs_to_some_Species [Sch11]

% Status   : Theorem
% Rating   : 0.68 v6.1.0, 0.73 v6.0.0, 0.87 v5.5.0, 0.85 v5.4.0, 0.89 v5.3.0, 0.93 v5.2.0
% Syntax   : Number of formulae    :  560 ( 196 unit)
%            Number of atoms       : 1782 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1358 ( 136   ~;  35   |; 766   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  161 ( 160 constant; 0-2 arity)
%            Number of variables   :  977 (   0 sgn; 911   !;  66   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(testcase_conclusion_fullish_014_Harry_belongs_to_some_Species,conjecture,(
    ? [BNODE_x] :
      ( iext(uri_rdf_type,uri_ex_harry,BNODE_x)
      & iext(uri_rdf_type,BNODE_x,uri_ex_Species) ) )).

fof(testcase_premise_fullish_014_Harry_belongs_to_some_Species,axiom,(
    ? [BNODE_u,BNODE_l1,BNODE_l2] :
      ( iext(uri_rdf_type,uri_ex_Eagle,uri_ex_Species)
      & iext(uri_rdf_type,uri_ex_Falcon,uri_ex_Species)
      & iext(uri_rdf_type,uri_ex_harry,BNODE_u)
      & iext(uri_owl_unionOf,BNODE_u,BNODE_l1)
      & iext(uri_rdf_first,BNODE_l1,uri_ex_Eagle)
      & iext(uri_rdf_rest,BNODE_l1,BNODE_l2)
      & iext(uri_rdf_first,BNODE_l2,uri_ex_Falcon)
      & iext(uri_rdf_rest,BNODE_l2,uri_rdf_nil) ) )).

%------------------------------------------------------------------------------
