%------------------------------------------------------------------------------
% File     : SWB083+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Universal Restriction Extensional
% Version  : [Sch11] axioms.
% English  : If the range of property p is defined to be class c, then every 
%            individual is an instance of the universal restriction on p to c.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-restrict-allvalues-inst-subj [Sch11]

% Status   : Theorem
% Rating   : 0.76 v6.1.0, 0.83 v6.0.0, 0.91 v5.5.0, 0.93 v5.3.0, 0.96 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1777 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1353 ( 136   ~;  35   |; 761   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  161 ( 160 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_restrict_allvalues_inst_subj,conjecture,(
    iext(uri_rdf_type,uri_ex_w,uri_ex_z) )).

fof(premise_rdfbased_sem_restrict_allvalues_inst_subj,axiom,
    ( iext(uri_owl_allValuesFrom,uri_ex_z,uri_ex_c)
    & iext(uri_owl_onProperty,uri_ex_z,uri_ex_p)
    & iext(uri_rdfs_range,uri_ex_p,uri_ex_c)
    & iext(uri_rdf_type,uri_ex_w,uri_owl_Thing) )).

%------------------------------------------------------------------------------
