%--------------------------------------------------------------------------
% File     : LCL876+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : Prove Mv5 from MV1--MV4
% Version  : Especial.
% English  :

% Refs     : 
% Source   : [TPTP]
% Names    : 

% Status   : Theorem
% Rating   : 0.91 v6.1.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :    6 (   5 unit)
%            Number of atoms       :    8 (   0 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :    2 (   0   ~;   0   |;   1   &)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :   13 (   0 sgn;  13   !;   0   ?)
%            Maximal term depth    :    4 (   3 average)
% SPC      : FOF_THM_RFO_NEQ

% Comments :
%--------------------------------------------------------------------------
fof(cd,axiom,(
    ! [Y,X] :
      ( ( is_a_theorem(implies(X,Y))
        & is_a_theorem(X) )
     => is_a_theorem(Y) ) )).

fof(mv1,axiom,(
    ! [Y,X] : is_a_theorem(implies(X,implies(Y,X))) )).

fof(mv2,axiom,(
    ! [Z,Y,X] : is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),implies(X,Z)))) )).

fof(mv3,axiom,(
    ! [Y,X] : is_a_theorem(implies(implies(implies(X,Y),Y),implies(implies(Y,X),X))) )).

fof(mv4,axiom,(
    ! [Y,X] : is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X))) )).

fof(mv5,conjecture,(
    ! [Y,X] : is_a_theorem(implies(implies(implies(X,Y),implies(Y,X)),implies(Y,X))) )).

%--------------------------------------------------------------------------
