%------------------------------------------------------------------------------
% File     : ARI489=1 : TPTP v6.1.0. Bugfixed v5.1.0.
% Domain   : Arithmetic
% Problem  : Real: Something less than sum something and 1
% Version  : Especial.
% English  :

% Refs     :
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.25 v6.1.0, 0.22 v6.0.0, 0.14 v5.5.0, 0.44 v5.4.0, 0.38 v5.3.0, 0.70 v5.2.0, 0.83 v5.1.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type)
%            Number of atoms       :    2 (   1 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    1 (   0   ~;   0   |;   1   &)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    3 (   1 propositional; 0-2 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :    2 (   0 sgn;   0   !;   2   ?)
%            Maximal term depth    :    2 (   1 average)
%            Arithmetic symbols    :    4 (   2 pred;    1 func;    1 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
% Bugfixes : v5.1.0 - changed 1 to 1.0
%------------------------------------------------------------------------------
tff(real_combined_problem_4,conjecture,(
    ? [X: $real,Y: $real] : 
      ( $sum(X,1.0) = Y
      & $less(X,Y) ) )).
%------------------------------------------------------------------------------
