%------------------------------------------------------------------------------
% File     : ARI536=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Arithmetic
% Problem  : Real: Square root of two exists
% Version  : Especial.
% English  : 

% Refs     : [SB+03] Siekman et al. (2003), Proof Development with Omega: T
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.88 v6.1.0, 0.67 v6.0.0, 0.57 v5.5.0, 0.67 v5.4.0, 0.62 v5.3.0, 0.70 v5.2.0, 0.67 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :    1 (   1 unit;   0 type)
%            Number of atoms       :    1 (   1 equality)
%            Maximal formula depth :    2 (   2 average)
%            Number of connectives :    0 (   0   ~;   0   |;   0   &)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    2 (   1 propositional; 0-2 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :    1 (   0 sgn;   0   !;   1   ?)
%            Maximal term depth    :    2 (   2 average)
%            Arithmetic symbols    :    3 (   1 pred;    1 func;    1 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
tff(the,conjecture,(
    ? [X: $real] : $product(X,X) = 2.0 )).

%------------------------------------------------------------------------------
