%------------------------------------------------------------------------------
% File     : ARI566=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Arithmetic
% Problem  : Real: Product something and 0.75 is 0.42 means 0.5 less than it
% Version  : Especial.
% English  :

% Refs     :
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.38 v6.1.0, 0.22 v6.0.0, 0.14 v5.5.0, 0.44 v5.4.0, 0.25 v5.3.0, 0.60 v5.2.0, 0.50 v5.1.0, 0.40 v5.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type)
%            Number of atoms       :    2 (   1 equality)
%            Maximal formula depth :    3 (   3 average)
%            Number of connectives :    1 (   0   ~;   0   |;   1   &)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    3 (   1 propositional; 0-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    1 (   0 sgn;   0   !;   1   ?)
%            Maximal term depth    :    2 (   1 average)
%            Arithmetic symbols    :    6 (   2 pred;    1 func;    3 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
tff(real_combined_problem_17,conjecture,(
    ? [X: $real] : 
      ( $product(X,0.75) = 0.42
      & $less(0.5,X) ) )).
%------------------------------------------------------------------------------
