%------------------------------------------------------------------------------
% File     : NUM913=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Number Theory
% Problem  : Definition of lesseq in terms of less and equality
% Version  : Especial.
% English  :

% Refs     :
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.25 v6.1.0, 0.33 v6.0.0, 0.29 v5.5.0, 0.44 v5.4.0, 0.38 v5.3.0, 0.70 v5.2.0, 0.83 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type)
%            Number of atoms       :    3 (   1 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    2 (   0   ~;   1   |;   0   &)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    4 (   1 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    2 (   0 sgn;   2   !;   0   ?)
%            Maximal term depth    :    1 (   1 average)
%            Arithmetic symbols    :    3 (   3 pred;    0 func;    0 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
tff(real_combined_problem_1,conjecture,(
    ! [X: $real,Y: $real] : 
      ( $lesseq(X,Y)
    <=> ( $less(X,Y)
        | X = Y ) ) )).
%------------------------------------------------------------------------------
