%------------------------------------------------------------------------------
% File     : DAT004=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Element 4 is 44 or 66
% Version  : [PW06] axioms.
% English  :

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (28) [PW06]

% Status   : Theorem
% Rating   : 0.25 v6.1.0, 0.33 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.38 v5.3.0, 0.60 v5.2.0, 0.67 v5.1.0, 0.40 v5.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   3 type)
%            Number of atoms       :   14 (   6 equality)
%            Maximal formula depth :    6 (   4 average)
%            Number of connectives :    3 (   0   ~;   2   |;   0   &)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :    6 (   5 propositional; 0-2 arity)
%            Number of functors    :    9 (   7 constant; 0-3 arity)
%            Number of variables   :   10 (   0 sgn;  10   !;   0   ?)
%            Maximal term depth    :    5 (   2 average)
%            Arithmetic symbols    :    8 (   1 pred;    0 func;    7 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Includes axioms for arrays
include('Axioms/DAT001=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: array,V: array,W: $int] :
      ( U = write(write(write(write(V,3,33),4,44),5,55),W,66)
     => ( read(U,4) = 44
        | read(U,4) = 66 ) ) )).
%------------------------------------------------------------------------------
