%------------------------------------------------------------------------------
% File     : DAT012=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Compare elements 2
% Version  : [PW06] axioms.
% English  :

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (36) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.62 v5.3.0, 0.60 v5.2.0, 0.83 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   3 type)
%            Number of atoms       :   18 (   4 equality)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :    7 (   0   ~;   1   |;   3   &)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :    8 (   5 propositional; 0-2 arity)
%            Number of functors    :    6 (   3 constant; 0-3 arity)
%            Number of variables   :   13 (   0 sgn;  13   !;   0   ?)
%            Maximal term depth    :    5 (   2 average)
%            Arithmetic symbols    :    7 (   3 pred;    1 func;    3 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Includes axioms for arrays
include('Axioms/DAT001=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: array,V: array,W: $int,X: $int] :
      ( ( ! [Y: $int] :
            ( ( $lesseq(W,Y)
              & $lesseq(Y,X) )
           => $greater(read(U,Y),0) )
        & V = write(U,$sum(W,2),$sum(read(U,$sum(W,1)),1)) )
     => ! [Z: $int] :
          ( ( $lesseq(W,Z)
            & $lesseq(Z,X) )
         => $greater(read(V,Z),0) ) ) )).
%------------------------------------------------------------------------------
