%------------------------------------------------------------------------------
% File     : DAT021=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Sum of two elements is less than 9
% Version  : [PW06] axioms.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (44) [PW06]

% Status   : Theorem
% Rating   : 0.25 v6.1.0, 0.33 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.38 v5.3.0, 0.50 v5.2.0, 0.67 v5.1.0, 0.40 v5.0.0
% Syntax   : Number of formulae    :   11 (   5 unit;   5 type)
%            Number of atoms       :   25 (   4 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   12 (   4   ~;   1   |;   4   &)
%                                         (   2 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   3   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   11 (   8 propositional; 0-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   14 (   0 sgn;  14   !;   0   ?)
%            Maximal term depth    :    4 (   1 average)
%            Arithmetic symbols    :    7 (   2 pred;    1 func;    4 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
%----Includes axioms for collections
include('Axioms/DAT002=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: collection,V: $int,W: $int] :
      ( ( U = add(5,add(3,add(1,empty)))
        & in(V,U)
        & in(W,U)
        & V != W )
     => $less($sum(V,W),9) ) )).
%------------------------------------------------------------------------------
