%------------------------------------------------------------------------------
% File     : DAT035=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Adding an element greater than 0 - 1
% Version  : [PW06] axioms.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (58) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.62 v5.3.0, 0.80 v5.2.0, 1.00 v5.0.0
% Syntax   : Number of formulae    :   19 (   6 unit;   6 type)
%            Number of atoms       :   37 (   9 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   16 (   5   ~;   1   |;   1   &)
%                                         (   7 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    7 (   4   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   13 (   9 propositional; 0-2 arity)
%            Number of functors    :    8 (   3 constant; 0-2 arity)
%            Number of variables   :   26 (   0 sgn;  26   !;   0   ?)
%            Maximal term depth    :    3 (   2 average)
%            Arithmetic symbols    :    7 (   3 pred;    2 func;    2 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
%----Includes axioms for collections with counting
include('Axioms/DAT002=0.ax').
include('Axioms/DAT002=1.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: collection,V: $int,W: $int] :
      ( $greater(W,0)
     => $greatereq($sum(count(U),W),count(add(V,U))) ) )).
%------------------------------------------------------------------------------
