%------------------------------------------------------------------------------
% File     : DAT039=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : If 2 and 3 are the only elements, then no elements are larger
% Version  : [PW06] axioms.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (62) [PW06]

% Status   : Theorem
% Rating   : 0.38 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.50 v5.3.0, 0.70 v5.2.0, 0.67 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :   19 (   6 unit;   6 type)
%            Number of atoms       :   40 (  10 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   20 (   6   ~;   1   |;   4   &)
%                                         (   7 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    7 (   4   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   13 (   9 propositional; 0-2 arity)
%            Number of functors    :   10 (   5 constant; 0-2 arity)
%            Number of variables   :   25 (   0 sgn;  25   !;   0   ?)
%            Maximal term depth    :    3 (   1 average)
%            Arithmetic symbols    :    9 (   3 pred;    2 func;    4 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
%----Includes axioms for collections with counting
include('Axioms/DAT002=0.ax').
include('Axioms/DAT002=1.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: collection,V: $int] :
      ( ( in(2,U)
        & in(3,U)
        & count(U) = 2
        & $greater(V,3) )
     => ~ in(V,U) ) )).
%------------------------------------------------------------------------------
