%--------------------------------------------------------------------------
% File     : NUM916=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Number Theory
% Problem  : Every sum left exists
% Version  : Especial.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (2) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.44 v5.4.0, 0.62 v5.3.0, 0.60 v5.2.0, 0.67 v5.1.0, 0.60 v5.0.0
% Syntax   : Number of formulae    :    1 (   1 unit;   0 type)
%            Number of atoms       :    1 (   1 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    0 (   0   ~;   0   |;   0   &)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    2 (   1 propositional; 0-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?)
%            Maximal term depth    :    2 (   2 average)
%            Arithmetic symbols    :    2 (   1 pred;    1 func;    0 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%--------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: $int,V: $int] :
    ? [W: $int] : $sum(W,U) = V )).
%--------------------------------------------------------------------------
