%------------------------------------------------------------------------------
% File     : ALG268^3 : TPTP v6.1.0. Bugfixed v5.2.0.
% Domain   : Algebra
% Problem  : HOAS induction lemma 3
% Version  : [Bro09] axioms : Reduced > Especial.
%            Theorem formulation : Modified.
% English  :

% Refs     : [DHK95] Dowek et al. (1995), Higher-order Unification via Expl
%          : [Zha08] Zhang (2008), Using LEO-II to Prove Properties of an E
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
%          : [Bro09] Brown (2009), M-Set Models
% Source   : [Ben09]
% Names    : hoasinduction_lem3v2a_lthm [Ben09]

% Status   : Theorem
% Rating   : 0.57 v6.1.0, 0.86 v6.0.0, 0.71 v5.5.0, 0.67 v5.4.0, 0.80 v5.2.0
% Syntax   : Number of formulae    :  238 ( 114 unit; 124 type; 113 defn)
%            Number of atoms       : 2529 ( 161 equality; 723 variable)
%            Maximal formula depth :   39 (   8 average)
%            Number of connectives : 1942 (   6   ~;   0   |;   4   &; 916   @)
%                                         (   2 <=>;1014  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  128 ( 128   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :  127 ( 124   :)
%            Number of variables   :  327 (   3 sgn; 283   !;   5   ?;  39   ^)
%                                         ( 327   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
% Bugfixes : v5.2.0 - Bugfixes in ALG003^0.ax
%------------------------------------------------------------------------------
%----Include Untyped Lambda Sigma defs
include('Axioms/ALG003^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    hoasinduction_lem3v2a_lthm )).

%------------------------------------------------------------------------------
