%------------------------------------------------------------------------------
% File     : PHI003^1 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Philosophy
% Problem  : Possibly, God exists
% Version  : [Ben13] axioms.
% English  : 

% Refs     : [Ben13] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben13]
% Names    : C [Ben13]

% Status   : Theorem
% Rating   : 0.86 v6.1.0
% Syntax   : Number of formulae    :   59 (   1 unit;  28 type;  25 defn)
%            Number of atoms       :  328 (  26 equality;  91 variable)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :  117 (   5   ~;   3   |;   4   &; 102   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  166 ( 166   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   33 (  28   :)
%            Number of variables   :   71 (   3 sgn;   6   !;   4   ?;  61   ^)
%                                         (  71   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Axioms for Quantified Modal Logic K.
include('Axioms/LCL016^0.ax').
%----Axioms about God
include('Axioms/PHI001^0.ax').
%------------------------------------------------------------------------------
%----C: Possibly, God exists.
thf(corC,conjecture,
    ( mvalid
    @ ( mdia
      @ ( mexists_ind
        @ ^ [X: mu] :
            ( god @ X ) ) ) )).
%------------------------------------------------------------------------------
