%------------------------------------------------------------------------------
% File     : SEV057^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem EQP1-1A
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0323 [Bro09]
%          : EQP1-1A [TPS]

% Status   : Theorem
% Rating   : 0.29 v6.0.0, 0.14 v5.5.0, 0.33 v5.4.0, 0.40 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   23 (   3 equality;  19 variable)
%            Maximal formula depth :   14 (   8 average)
%            Number of connectives :   15 (   0   ~;   0   |;   4   &;   8   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :    6 (   0 sgn;   4   !;   2   ?;   0   ^)
%                                         (   6   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cEQP1_1A_pme,conjecture,(
    ! [Xx: a > $o] :
    ? [Xs: a > a] :
      ( ! [Xx0: a] :
          ( ( Xx @ Xx0 )
         => ( Xx @ ( Xs @ Xx0 ) ) )
      & ! [Xy: a] :
          ( ( Xx @ Xy )
         => ? [Xx0: a] :
              ( ( Xx @ Xx0 )
              & ( Xy
                = ( Xs @ Xx0 ) )
              & ! [Xz: a] :
                  ( ( ( Xx @ Xz )
                    & ( Xy
                      = ( Xs @ Xz ) ) )
                 => ( Xz = Xx0 ) ) ) ) ) )).

%------------------------------------------------------------------------------
