%------------------------------------------------------------------------------
% File     : SYO372^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from EXTENSIONALITY
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0687 [Bro09]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.14 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.40 v5.3.0, 0.60 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   5 type;   0 defn)
%            Number of atoms       :   18 (   1 equality;   2 variable)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    6 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    1 (   0 sgn;   1   !;   0   ?;   0   ^)
%                                         (   1   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(g_type,type,(
    gtype: $tType )).

thf(g,type,(
    g: b > $o )).

thf(h,type,(
    h: ( b > $o ) > gtype )).

thf(f,type,(
    f: b > $o )).

thf(cEXT_SET2,conjecture,
    ( ! [Xx: b] :
        ( ( f @ Xx )
      <=> ( g @ Xx ) )
   => ( ( h @ f )
      = ( h @ g ) ) )).

%------------------------------------------------------------------------------
