%------------------------------------------------------------------------------
% File     : SYO488^6 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : Ted Sider's S5 quantified modal logic wff 14
% Version  : Especial.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
% Source   : [Sid09]
% Names    :

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :   73 (   1 unit;  36 type;  33 defn)
%            Number of atoms       :  410 (  38 equality; 137 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  145 (   5   ~;   5   |;   8   &; 119   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  180 ( 180   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   41 (  36   :)
%            Number of variables   :   90 (   3 sgn;  30   !;   6   ?;  54   ^)
%                                         (  90   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for modal logic S5
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^6.ax').
%------------------------------------------------------------------------------
thf(f_type,type,(
    f: mu > $i > $o )).

thf(prove,conjecture,
    ( mvalid
    @ ( mimplies
      @ ( mdia_s5
        @ ( mforall_ind
          @ ^ [X: mu] :
              ( f @ X ) ) )
      @ ( mnot
        @ ( mexists_ind
          @ ^ [X: mu] :
              ( mbox_s5 @ ( mnot @ ( f @ X ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
