%------------------------------------------------------------------------------
% File     : SYO516^1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Syntactic
% Problem  : Every functional relation corresponds to a function
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : descr2 [Bro09]

% Status   : Theorem
% Rating   : 0.71 v5.5.0, 0.67 v5.4.0, 0.60 v5.3.0, 0.80 v4.1.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   13 (   2 equality;   6 variable)
%            Maximal formula depth :    7 (   6 average)
%            Number of connectives :    5 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :    5 (   0 sgn;   2   !;   2   ?;   1   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : Requires description but does not use the description operator.
%------------------------------------------------------------------------------
thf(r_type,type,(
    r: $i > $i > $o )).

thf(descr2,conjecture,
    ( ! [X: $i] :
      ? [Y: $i] :
        ( ( r @ X )
        = ( ^ [Z: $i] : ( Y = Z ) ) )
   => ? [F: $i > $i] :
      ! [X: $i] :
        ( r @ X @ ( F @ X ) ) )).

%------------------------------------------------------------------------------
