%------------------------------------------------------------------------------
% File     : SYO570^7 : TPTP v6.1.0. Released v5.5.0.
% Domain   : Syntactic
% Problem  : Forbes problem
% Version  : [Ben12] axioms.
% English  :

% Refs     : [For94] Forbes (1994), Modern Logic. A Text in Elementary Symb
%          : [Ben12] Benzmueller (2012), Email to Geoff Sutcliffe
% Source   : [Ben12]
% Names    : s4-cumul-SYM030+1 [Ben12]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.14 v5.5.0
% Syntax   : Number of formulae    :   74 (   1 unit;  37 type;  32 defn)
%            Number of atoms       :  424 (  36 equality; 147 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  159 (   5   ~;   5   |;   9   &; 130   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  183 ( 183   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   42 (  37   :)
%            Number of variables   :   94 (   2 sgn;  34   !;   7   ?;  53   ^)
%                                         (  94   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S4 under cumulative domains
include('Axioms/LCL015^0.ax').
include('Axioms/LCL013^5.ax').
include('Axioms/LCL015^1.ax').
%------------------------------------------------------------------------------
thf(r_type,type,(
    r: mu > mu > $i > $o )).

thf(con,conjecture,
    ( mvalid
    @ ( mimplies
      @ ( mforall_ind
        @ ^ [X: mu] :
            ( mbox_s4
            @ ( mforall_ind
              @ ^ [Y: mu] :
                  ( r @ X @ Y ) ) ) )
      @ ( mforall_ind
        @ ^ [X: mu] :
            ( mforall_ind
            @ ^ [Y: mu] :
                ( mbox_s4 @ ( r @ X @ Y ) ) ) ) ) )).

%------------------------------------------------------------------------------
