%------------------------------------------------------------------------------
% File     : SEV056^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM275
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0312 [Bro09]
%          : THM275 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   16 (   0 equality;  15 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   14 (   0   ~;   0   |;   2   &;  10   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :    7 (   0 sgn;   6   !;   1   ?;   0   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM275_pme,conjecture,(
    ! [Xr: a > a > $o] :
    ? [Xp: a > a > $o] :
      ( ! [Xx: a,Xy: a] :
          ( ( Xr @ Xx @ Xy )
         => ( Xp @ Xx @ Xy ) )
      & ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( Xp @ Xx @ Xy )
            & ( Xp @ Xy @ Xz ) )
         => ( Xp @ Xx @ Xz ) ) ) )).

%------------------------------------------------------------------------------
