%------------------------------------------------------------------------------
% File     : SEV066^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM120D
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0439 [Bro09]
%          : THM120D [TPS]

% Status   : Theorem
% Rating   : 0.67 v5.5.0, 0.60 v5.4.0, 0.50 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   40 (   0 equality;  36 variable)
%            Maximal formula depth :   15 (  15 average)
%            Number of connectives :   40 (   1   ~;   5   |;   3   &;  30   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   14 (  14   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   0   :)
%            Number of variables   :   15 (   4 sgn;   9   !;   2   ?;   4   ^)
%                                         (  15   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cTHM120D_pme,conjecture,(
    ? [Xr_28: ( $i > $o ) > ( $i > $o ) > $i > $o,Xr_27: ( $i > $o ) > ( $i > $o ) > $i > $o] :
      ( ! [Xx: $i > $o,Xw_2: $i] :
          ( ( Xr_27 @ Xx @ Xx @ Xw_2 )
          | ( Xr_28 @ Xx @ Xx @ Xw_2 ) )
      & ! [Xx: $i > $o,Xy: $i > $o,Xz: $i > $o] :
          ( ( ! [Xw_2: $i] :
                ( ( Xr_27 @ Xx @ Xy @ Xw_2 )
                | ( Xr_28 @ Xx @ Xy @ Xw_2 ) )
            & ! [Xw_2: $i] :
                ( ( Xr_27 @ Xy @ Xz @ Xw_2 )
                | ( Xr_28 @ Xy @ Xz @ Xw_2 ) ) )
         => ! [Xw_2: $i] :
              ( ( Xr_27 @ Xx @ Xz @ Xw_2 )
              | ( Xr_28 @ Xx @ Xz @ Xw_2 ) ) )
      & ~ ( ! [Xw_2: $i] :
              ( ( Xr_27
                @ ^ [Xx: $i] : $true
                @ ^ [Xx: $i] : $false
                @ Xw_2 )
              | ( Xr_28
                @ ^ [Xx: $i] : $true
                @ ^ [Xx: $i] : $false
                @ Xw_2 ) ) ) ) )).

%------------------------------------------------------------------------------
