%------------------------------------------------------------------------------
% File     : SEV409^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from SETS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0783 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   10 (   0 equality;  10 variable)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    9 (   0   ~;   0   |;   1   &;   6   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :)
%            Number of variables   :    4 (   0 sgn;   3   !;   1   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cTHM120_BUG_pme,conjecture,(
    ? [R: ( $i > $o ) > ( $i > $o ) > $o] :
    ! [X: $i > $o,Y: $i > $o] :
      ( ( ( R @ X @ Y )
        & ( R @ Y @ X ) )
     => ! [Xx: $i] :
          ( ( X @ Xx )
        <=> ( Y @ Xx ) ) ) )).

%------------------------------------------------------------------------------
