%------------------------------------------------------------------------------
% File     : SYN381^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem X2133
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0263 [Bro09]
%          : X2133 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.3.0, 0.25 v5.2.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   24 (   0 equality;  12 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   18 (   0   ~;   1   |;   2   &;  12   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :    7 (   0 sgn;   5   !;   2   ?;   0   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: $i > $o )).

thf(cQ,type,(
    cQ: $i > $i > $o )).

thf(cX2133,conjecture,
    ( ( ! [Xx: $i] :
          ( ? [Xy: $i] :
              ( cQ @ Xx @ Xy )
         => ( cP @ Xx ) )
      & ! [Xv: $i] :
        ? [Xu: $i] :
          ( cQ @ Xu @ Xv )
      & ! [Xw: $i,Xz: $i] :
          ( ( cQ @ Xw @ Xz )
         => ( ( cQ @ Xz @ Xw )
            | ( cQ @ Xz @ Xz ) ) ) )
   => ! [Xz: $i] :
        ( cP @ Xz ) )).

%------------------------------------------------------------------------------
