%------------------------------------------------------------------------------
% File     : SYO113^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM350
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0484 [Bro09]
%          : THM350 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   1 unit;   5 type;   0 defn)
%            Number of atoms       :   56 (   0 equality;  14 variable)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   46 (   0   ~;   1   |;  10   &;  29   @)
%                                         (   1 <=>;   5  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    6 (   0 sgn;   6   !;   0   ?;   0   ^)
%                                         (   6   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cNUMBER,type,(
    cNUMBER: $i > $o )).

thf(cODD,type,(
    cODD: $i > $o )).

thf(cEVEN,type,(
    cEVEN: $i > $o )).

thf(cS,type,(
    cS: $i > $i )).

thf(c0,type,(
    c0: $i )).

thf(cTHM350,conjecture,
    ( ( ( cEVEN @ c0 )
      & ! [Xn: $i] :
          ( ( cEVEN @ Xn )
         => ( cEVEN @ ( cS @ ( cS @ Xn ) ) ) )
      & ( cODD @ ( cS @ c0 ) )
      & ! [Xn: $i] :
          ( ( cODD @ Xn )
         => ( cODD @ ( cS @ ( cS @ Xn ) ) ) )
      & ( ( ( cNUMBER @ c0 )
          & ( cNUMBER @ ( cS @ c0 ) )
          & ! [Xx: $i] :
              ( ( ( cNUMBER @ Xx )
                & ( cNUMBER @ ( cS @ Xx ) ) )
             => ( ( cNUMBER @ ( cS @ Xx ) )
                & ( cNUMBER @ ( cS @ ( cS @ Xx ) ) ) ) ) )
       => ! [Xx: $i] :
            ( ( cNUMBER @ Xx )
            & ( cNUMBER @ ( cS @ Xx ) ) ) )
      & ! [Xn: $i] :
          ( ( cNUMBER @ Xn )
        <=> ( ( cEVEN @ Xn )
            | ( cODD @ Xn ) ) ) )
   => ! [Xn: $i] :
        ( cNUMBER @ Xn ) )).

%------------------------------------------------------------------------------
