%------------------------------------------------------------------------------
% File     : SYO114^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM119
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0536 [Bro09]
%          : THM119 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.0.0, 0.17 v5.5.0, 0.20 v5.4.0, 0.25 v5.3.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    8 (   4 unit;   7 type;   0 defn)
%            Number of atoms       :   30 (   0 equality;   6 variable)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :   26 (   7   ~;   6   |;   3   &;  10   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   10 (   7   :)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(b,type,(
    b: $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(a,type,(
    a: $i )).

thf(d,type,(
    d: $i )).

thf(cQ,type,(
    cQ: $i > $o )).

thf(c,type,(
    c: $i )).

thf(cR,type,(
    cR: $i > $o )).

thf(cTHM119,conjecture,(
    ~ ( ! [Xz: $i] :
          ( ( ( cP @ Xz )
            | ( cR @ Xz ) )
          & ( cQ @ Xz ) )
      & ! [Xx: $i] :
        ? [Xy: $i] :
          ( ( cP @ Xx )
          | ~ ( cQ @ Xx )
          | ~ ( cQ @ Xy )
          | ~ ( cQ @ c )
          | ~ ( cQ @ d ) )
      & ( ~ ( cP @ a )
        | ~ ( cP @ b ) ) ) )).

%------------------------------------------------------------------------------
