%------------------------------------------------------------------------------
% File     : SYO170^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0996 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.50 v6.0.0, 0.33 v5.5.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   4 unit;   5 type;   0 defn)
%            Number of atoms       :   44 (   0 equality;  18 variable)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   35 (   0   ~;   0   |;   4   &;  27   @)
%                                         (   1 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    9 (   0 sgn;   9   !;   0   ?;   0   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(ab,type,(
    ab: $i )).

thf(a,type,(
    a: $i )).

thf(b,type,(
    b: $i )).

thf(cP,type,(
    cP: $i > $i > $i > $o )).

thf(e,type,(
    e: $i )).

thf(cTHM105,conjecture,
    ( ( ! [Xx: $i] :
          ( cP @ e @ Xx @ Xx )
      & ! [Xy: $i] :
          ( cP @ Xy @ e @ Xy )
      & ! [Xz: $i] :
          ( cP @ Xz @ Xz @ e )
      & ! [Xx: $i,Xy: $i,Xz: $i,Xxy: $i,Xyz: $i,Xxyz: $i] :
          ( ( ( cP @ Xx @ Xy @ Xxy )
            & ( cP @ Xy @ Xz @ Xyz ) )
         => ( ( cP @ Xxy @ Xz @ Xxyz )
          <=> ( cP @ Xx @ Xyz @ Xxyz ) ) ) )
   => ( ( cP @ a @ b @ ab )
     => ( cP @ b @ a @ ab ) ) )).

%------------------------------------------------------------------------------
