%------------------------------------------------------------------------------
% File     : SYO288^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0694 [Bro09]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.33 v6.0.0, 0.50 v5.5.0, 0.60 v5.4.0, 0.75 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   3 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;   5 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    7 (   0   ~;   0   |;   1   &;   5   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :)
%            Number of variables   :    2 (   0 sgn;   1   !;   1   ?;   0   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cB,type,(
    cB: $i > $i > $o )).

thf(cA,type,(
    cA: $i > $o )).

thf(c0,type,(
    c0: $i )).

thf(cSV10,conjecture,(
    ? [Xv: $i > $i > $o] :
    ! [Xx: $i] :
      ( ( Xv @ Xx @ c0 )
    <=> ( ( cA @ Xx )
        & ( cB @ Xx @ Xx ) ) ) )).

%------------------------------------------------------------------------------
