%------------------------------------------------------------------------------
% File     : SYO291^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0697 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   5 type;   0 defn)
%            Number of atoms       :   17 (   0 equality;   1 variable)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :    8 (   0   ~;   0   |;   2   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    1 (   0 sgn;   1   !;   0   ?;   0   ^)
%                                         (   1   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(y,type,(
    y: $i )).

thf(cQ,type,(
    cQ: $i > $o )).

thf(x,type,(
    x: $i )).

thf(f,type,(
    f: $i > $i )).

thf(cR,type,(
    cR: $i > $o )).

thf(cTEST3,conjecture,
    ( ! [Xp: $i > $o] :
        ( Xp @ y )
   => ( ( cR @ x )
      & ( cR @ ( f @ x ) )
      & ( cQ @ y ) ) )).

%------------------------------------------------------------------------------
