%------------------------------------------------------------------------------
% File     : SYO298^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0755 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;   6 variable)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :    7 (   0   ~;   0   |;   1   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :    4 (   0 sgn;   2   !;   2   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(q,type,(
    q: $i > $i > $o )).

thf(p,type,(
    p: $i > $i > $o )).

thf(cBLEDSOE5B,conjecture,(
    ? [A: $i > $o] :
    ! [L: $i] :
    ? [Xy: $i] :
    ! [Xz: $i] :
      ( ( A @ Xz )
     => ( ( p @ Xz @ Xy )
        & ( q @ L @ Xy ) ) ) )).

%------------------------------------------------------------------------------
