%------------------------------------------------------------------------------
% File     : SYO307^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0829 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   22 (   0 equality;  10 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   13 (   0   ~;   2   |;   3   &;   7   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :)
%            Number of variables   :    4 (   0 sgn;   3   !;   1   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cT,type,(
    cT: $i > $o )).

thf(q,type,(
    q: $i > $o )).

thf(cR,type,(
    cR: $i > $o )).

thf(p,type,(
    p: $i > $o )).

thf(cBLEDSOE5F,conjecture,(
    ? [A: $i > $o] :
    ! [Xx: $i,Xy: $i,Xz: $i] :
      ( ( ( A @ Xx )
        | ( ( A @ Xy )
          & ( A @ Xz ) ) )
     => ( ( ( p @ Xx )
          & ( cR @ Xy ) )
        | ( ( q @ Xx )
          & ( cT @ Xz ) ) ) ) )).

%------------------------------------------------------------------------------
