%------------------------------------------------------------------------------
% File     : SYO332^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1056 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v5.5.0, 0.80 v5.4.0, 0.50 v5.3.0, 0.75 v5.2.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :   34 (   0 equality;  32 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   31 (   0   ~;   0   |;   1   &;  20   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   21 (  21   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :   18 (   0 sgn;  10   !;   8   ?;   0   ^)
%                                         (  18   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cTHM561,conjecture,
    ( ( ! [Xs: ( b > $o ) > $o] :
          ( ! [X: b > $o] :
              ( ( Xs @ X )
             => ? [Xy: b] :
                  ( X @ Xy ) )
         => ? [Xf: ( b > $o ) > b] :
            ! [X: b > $o] :
              ( ( Xs @ X )
             => ( X @ ( Xf @ X ) ) ) )
     => ! [Xr: a > b > $o] :
        ? [Xg: a > b] :
        ! [Xx: a] :
          ( ? [Xy: b] :
              ( Xr @ Xx @ Xy )
         => ( Xr @ Xx @ ( Xg @ Xx ) ) ) )
    & ( ! [Xr: ( a > $o ) > a > $o] :
        ? [Xg: ( a > $o ) > a] :
        ! [Xx: a > $o] :
          ( ? [Xy: a] :
              ( Xr @ Xx @ Xy )
         => ( Xr @ Xx @ ( Xg @ Xx ) ) )
     => ! [Xs: ( a > $o ) > $o] :
          ( ! [X: a > $o] :
              ( ( Xs @ X )
             => ? [Xt: a] :
                  ( X @ Xt ) )
         => ? [Xf: ( a > $o ) > a] :
            ! [X: a > $o] :
              ( ( Xs @ X )
             => ( X @ ( Xf @ X ) ) ) ) ) )).

%------------------------------------------------------------------------------
