%------------------------------------------------------------------------------
% File     : SYO507^1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Syntactic
% Problem  : Example 4.1
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
%          : [BS09]  Brown E. & Smolka (2009), Extended First-Order Logic
% Source   : [Bro09]
% Names    : efo2 [Bro09]
%          : Example 4.1 [BS09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v5.3.0, 0.25 v4.1.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   10 (   0 equality;   1 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :    8 (   4   ~;   0   |;   1   &;   3   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   2   :)
%            Number of variables   :    1 (   0 sgn;   0   !;   0   ?;   1   ^)
%                                         (   1   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $o )).

thf(p,type,(
    p: ( $i > $o ) > $o )).

thf(claim,conjecture,(
    ~ ( ( p @ f )
      & ~ ( p
          @ ^ [X: $i] :
              ~ ( ~ ( f @ X ) ) ) ) )).

%------------------------------------------------------------------------------
