%------------------------------------------------------------------------------
% File     : ALG245-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Algebra (Non-associative)
% Problem  : Idempotent selfdistributive groupoids are symmetric-by-medial - 4
% Version  : Especial.
% English  :

% Refs     : [PS08]  Phillips & Stanovsky (2008), Using Automated Theorem P
%          : [Sta08a] Stanovsky (2008), Distributive Groupoids are Symmetri
%          : [Sta08b] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08b]
% Names    : S08_9 [Sta08b]

% Status   : Unsatisfiable
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.67 v5.5.0, 0.68 v5.4.0, 0.60 v5.3.0, 0.58 v5.2.0, 0.57 v5.1.0, 0.60 v5.0.0, 0.57 v4.1.0, 0.45 v4.0.1, 0.57 v4.0.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   6 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :   15 (   0 singleton)
%            Maximal term depth    :    5 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(c01,axiom,
    ( mult(A,mult(B,C)) = mult(mult(A,B),mult(A,C)) )).

cnf(c02,axiom,
    ( mult(mult(A,B),C) = mult(mult(A,C),mult(B,C)) )).

cnf(c03,axiom,
    ( mult(mult(mult(A,B),mult(C,D)),mult(mult(mult(A,B),mult(C,D)),mult(mult(A,C),mult(B,D)))) = mult(mult(A,C),mult(B,D)) )).

cnf(c04,axiom,
    ( mult(mult(mult(mult(A,B),mult(C,D)),mult(mult(A,C),mult(B,D))),mult(mult(A,C),mult(B,D))) = mult(mult(A,B),mult(C,D)) )).

cnf(c05,axiom,
    ( mult(A,A) = A )).

cnf(goals,negated_conjecture,
    ( mult(mult(mult(a,b),mult(c,d)),mult(mult(a,c),mult(b,d))) != mult(mult(mult(a,c),mult(b,d)),mult(mult(a,b),mult(c,d))) )).

%------------------------------------------------------------------------------
