%--------------------------------------------------------------------------
% File     : GRP471-1 : TPTP v6.1.0. Released v2.6.0.
% Domain   : Group Theory
% Problem  : Axiom for group theory, in division and inverse, part 3
% Version  : [McC93] (equality) axioms.
% English  :

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.62 v5.5.0, 0.63 v5.4.0, 0.53 v5.3.0, 0.50 v5.1.0, 0.47 v5.0.0, 0.43 v4.1.0, 0.36 v4.0.0, 0.31 v3.7.0, 0.22 v3.4.0, 0.25 v3.3.0, 0.29 v3.2.0, 0.21 v3.1.0, 0.11 v2.7.0, 0.18 v2.6.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : A UEQ part of GRP071-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(inverse(divide(A,divide(B,divide(C,D)))),divide(divide(D,C),A)) = B )).

cnf(multiply,axiom,
    ( multiply(A,B) = divide(A,inverse(B)) )).

cnf(prove_these_axioms_3,negated_conjecture,
    (  multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
