%--------------------------------------------------------------------------
% File     : GRP535-1 : TPTP v6.1.0. Released v2.6.0.
% Domain   : Group Theory (Abelian)
% Problem  : Axiom for Abelian group theory, in division, part 3
% Version  : [McC93] (equality) axioms.
% English  :

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.21 v6.1.0, 0.06 v6.0.0, 0.24 v5.5.0, 0.26 v5.4.0, 0.07 v5.3.0, 0.00 v5.2.0, 0.07 v5.0.0, 0.00 v3.4.0, 0.12 v3.3.0, 0.00 v2.6.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   5 unit;   1 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :    9 (   0 singleton)
%            Maximal term depth    :    5 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : A UEQ part of GRP091-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(divide(A,divide(divide(A,B),C)),B) = C )).

cnf(multiply,axiom,
    ( multiply(A,B) = divide(A,divide(divide(C,C),B)) )).

cnf(inverse,axiom,
    ( inverse(A) = divide(divide(B,B),A) )).

cnf(identity,axiom,
    ( identity = divide(A,A) )).

cnf(prove_these_axioms_3,negated_conjecture,
    (  multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
