%--------------------------------------------------------------------------
% File     : GRP567-1 : TPTP v6.1.0. Released v2.6.0.
% Domain   : Group Theory (Abelian)
% Problem  : Axiom for Abelian group theory, in double div and id, part 3
% Version  : [McC93] (equality) axioms.
% English  :

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.29 v6.1.0, 0.19 v6.0.0, 0.33 v5.5.0, 0.32 v5.4.0, 0.13 v5.3.0, 0.17 v5.2.0, 0.21 v5.1.0, 0.20 v5.0.0, 0.14 v4.1.0, 0.09 v4.0.1, 0.14 v4.0.0, 0.15 v3.7.0, 0.11 v3.4.0, 0.25 v3.3.0, 0.14 v3.1.0, 0.11 v2.7.0, 0.09 v2.6.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   5 unit;   1 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :    7 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : A UEQ part of GRP099-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( double_divide(double_divide(A,double_divide(double_divide(B,double_divide(A,C)),double_divide(identity,C))),double_divide(identity,identity)) = B )).

cnf(multiply,axiom,
    ( multiply(A,B) = double_divide(double_divide(B,A),identity) )).

cnf(inverse,axiom,
    ( inverse(A) = double_divide(A,identity) )).

cnf(identity,axiom,
    ( identity = double_divide(A,inverse(A)) )).

cnf(prove_these_axioms_3,negated_conjecture,
    (  multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
