%------------------------------------------------------------------------------
% File     : GRP756-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : Quasigroups satisfying certain Bol-Moufang identity are groups
% Version  : Especial.
% English  :

% Refs     : [PV05]  Phillips & Vojtechovsky (2005), The Varieties of Quasi
%          : [Sta08] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08]
% Names    : PV05b_1 [Sta08]

% Status   : Unsatisfiable
% Rating   : 0.21 v6.1.0, 0.12 v6.0.0, 0.29 v5.5.0, 0.26 v5.4.0, 0.07 v5.3.0, 0.08 v5.2.0, 0.14 v5.1.0, 0.20 v5.0.0, 0.21 v4.1.0, 0.18 v4.0.1, 0.21 v4.0.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   6 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(f01,axiom,
    ( mult(A,ld(A,B)) = B )).

cnf(f02,axiom,
    ( ld(A,mult(A,B)) = B )).

cnf(f03,axiom,
    ( mult(rd(A,B),B) = A )).

cnf(f04,axiom,
    ( rd(mult(A,B),B) = A )).

cnf(f05,axiom,
    ( mult(A,mult(mult(B,B),C)) = mult(mult(A,B),mult(B,C)) )).

cnf(goals,negated_conjecture,
    ( mult(mult(a,b),c) != mult(a,mult(b,c)) )).

%------------------------------------------------------------------------------
