%------------------------------------------------------------------------------
% File     : LAT392-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Lattice Theory
% Problem  : Short axiom for lattice theory, part 4
% Version  : Especial.
% English  :

% Refs     : [Sta08] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.43 v6.1.0, 0.62 v6.0.0, 0.71 v5.5.0, 0.68 v5.4.0, 0.67 v5.2.0, 0.64 v5.1.0, 0.67 v5.0.0, 0.64 v4.0.1, 0.71 v4.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   2 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    8 (   2 singleton)
%            Maximal term depth    :   11 (   4 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(sos,axiom,
    ( mult(plus(mult(plus(A,B),plus(B,mult(A,B))),C),plus(mult(plus(A,mult(mult(plus(D,B),plus(B,E)),B)),plus(mult(plus(B,plus(plus(mult(D,mult(B,E)),mult(F,B)),B)),plus(V6,mult(B,plus(plus(mult(B,V7),mult(F,B)),B)))),mult(A,mult(mult(plus(D,B),plus(B,E)),B)))),mult(mult(plus(A,B),plus(B,mult(A,B))),C))) = B )).

cnf(goals,negated_conjecture,
    ( plus(plus(mult(a,b),mult(b,c)),b) != b )).

%------------------------------------------------------------------------------
