%------------------------------------------------------------------------------
% File     : SWW097+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Software Verification
% Problem  : Equivalenace of the semantic and syntactic definition of lazy_and 
% Version  : [deN09] axioms.
% English  : 

% Refs     : [deN09] de Nivelle (2009), Email to Geoff Sutcliffe
%          : [deN10] de Nivelle (2010), Classical Logic with Partial Functi
% Source   : [deN09]
% Names    : 

% Status   : Theorem
% Rating   : 0.92 v6.1.0, 0.93 v6.0.0, 0.96 v5.3.0, 0.93 v5.2.0
% Syntax   : Number of formulae    :   45 (  15 unit)
%            Number of atoms       :   97 (  50 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   77 (  25   ~;   6   |;  26   &)
%                                         (   5 <=>;  15  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :   27 (   5 constant; 0-3 arity)
%            Number of variables   :   77 (   0 sgn;  63   !;  14   ?)
%            Maximal term depth    :    5 (   2 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : They even agree on non-truth values.
%------------------------------------------------------------------------------
%----Include axioms for Syntactic definitions of the logical operators
include('Axioms/SWV012+0.ax').
%------------------------------------------------------------------------------
fof(lazy_and1_lazy_and2,conjecture,(
    ! [P,Q] : lazy_and1(P,Q) = lazy_and2(P,Q) )).

%------------------------------------------------------------------------------
