%------------------------------------------------------------------------------
% File     : SWW098+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Software Verification
% Problem  : Equivalence of or1 and or2
% Version  : [deN09] axioms.
% English  : 

% Refs     : [deN09] de Nivelle (2009), Email to Geoff Sutcliffe
%          : [deN10] de Nivelle (2010), Classical Logic with Partial Functi
% Source   : [deN09]
% Names    : 

% Status   : Theorem
% Rating   : 0.96 v6.1.0, 0.97 v6.0.0, 1.00 v5.5.0, 0.96 v5.4.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :   45 (  15 unit)
%            Number of atoms       :   97 (  50 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   77 (  25   ~;   6   |;  26   &)
%                                         (   5 <=>;  15  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :   27 (   5 constant; 0-3 arity)
%            Number of variables   :   77 (   0 sgn;  63   !;  14   ?)
%            Maximal term depth    :    5 (   2 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : This implies that the syntactic definition in the paper is 
%            equivalent to the semantic definition.
%------------------------------------------------------------------------------
%----Include axioms for Syntactic definitions of the logical operators
include('Axioms/SWV012+0.ax').
%------------------------------------------------------------------------------
fof(or1_or2,conjecture,(
    ! [P,Q] : or1(P,Q) = or2(P,Q) )).

%------------------------------------------------------------------------------
