%------------------------------------------------------------------------------
% File     : LCL642+1.010 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal Logic)
% Problem  : In K, box Grz & Grz{C() & A4{C()/p0}/p0} -> Grz1, size 10
% Version  : Especial.
% English  :

% Refs     : [BHS00] Balsiger et al. (2000), A Benchmark Method for the Pro
%          : [Kam08] Kaminski (2008), Email to G. Sutcliffe
% Source   : [Kam08]
% Names    : k_grz_p [BHS00]

% Status   : Theorem
% Rating   : 0.36 v6.1.0, 0.52 v6.0.0, 0.00 v5.5.0, 0.58 v5.4.0, 0.57 v5.3.0, 0.65 v5.2.0, 0.43 v5.1.0, 0.50 v5.0.0, 0.75 v4.1.0, 0.67 v4.0.1, 0.58 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  410 (   0 equality)
%            Maximal formula depth :   46 (  46 average)
%            Number of connectives :  624 ( 215 ~  ; 395  |;  14  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  143 (   0 singleton; 142 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_NEQ

% Comments : A naive relational encoding of the modal logic problem into
%            first-order logic.
%------------------------------------------------------------------------------
fof(main,conjecture,(
    ~ ( ? [X] :
          ~ ( ! [Y] :
                ( ~ r1(X,Y)
                | p3(Y) )
            | ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | p3(Y)
                    | ~ ( ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p3(Y) )
                            | ~ p3(X) ) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | p2(Y)
                    | ~ ( ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ~ p2(X) ) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | p1(Y)
                    | ~ ( ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) )
                            | ~ p1(X) ) ) ) )
            | ~ ( ( ( ( ! [Y] :
                          ( ~ r1(X,Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p2(X)
                              | ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p2(X) )
                                      | ~ p2(Y) ) ) ) )
                      | ~ ( ! [Y] :
                              ( ~ r1(X,Y)
                              | p2(Y)
                              | ~ ( ! [X] :
                                      ( ~ r1(Y,X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p2(Y) )
                                      | ~ p2(X) ) ) ) ) )
                    & ( p2(X)
                      | ~ ( ! [Y] :
                              ( ~ r1(X,Y)
                              | ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) )
                              | ~ p2(Y) ) ) ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | ( ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p2(Y)
                                      | ~ ( ! [X] :
                                              ( ~ r1(Y,X)
                                              | ! [Y] :
                                                  ( ~ r1(X,Y)
                                                  | p2(Y) )
                                              | ~ p2(X) ) ) ) )
                              | ~ ( ! [X] :
                                      ( ~ r1(Y,X)
                                      | p2(X)
                                      | ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p2(X) )
                                              | ~ p2(Y) ) ) ) ) )
                            & ( p2(Y)
                              | ~ ( ! [X] :
                                      ( ~ r1(Y,X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p2(Y) )
                                      | ~ p2(X) ) ) ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ( ( ! [X] :
                                              ( ~ r1(Y,X)
                                              | ! [Y] :
                                                  ( ~ r1(X,Y)
                                                  | p2(Y)
                                                  | ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p2(Y) )
                                                          | ~ p2(X) ) ) ) )
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p2(X)
                                                  | ~ ( ! [Y] :
                                                          ( ~ r1(X,Y)
                                                          | ! [X] :
                                                              ( ~ r1(Y,X)
                                                              | p2(X) )
                                                          | ~ p2(Y) ) ) ) ) )
                                        & ( p2(Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ! [Y] :
                                                      ( ~ r1(X,Y)
                                                      | p2(Y) )
                                                  | ~ p2(X) ) ) ) ) )
                                  | ~ ( ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | ! [X] :
                                                ( ~ r1(Y,X)
                                                | p2(X)
                                                | ~ ( ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p2(X) )
                                                        | ~ p2(Y) ) ) ) )
                                        | ~ ( ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p2(Y)
                                                | ~ ( ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | ! [Y] :
                                                            ( ~ r1(X,Y)
                                                            | p2(Y) )
                                                        | ~ p2(X) ) ) ) ) )
                                      & ( p2(X)
                                        | ~ ( ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p2(X) )
                                                | ~ p2(Y) ) ) ) ) ) ) ) ) )
                & ( p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | p4(Y)
                      | p3(Y)
                      | p2(Y)
                      | p1(Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p4(X)
                          | p3(X)
                          | p2(X)
                          | p1(X)
                          | ! [Y] :
                              ( ~ r1(X,Y)
                              | $false ) ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p4(X)
                              | p3(X)
                              | p2(X)
                              | p1(X)
                              | ! [Y] :
                                  ( ~ r1(X,Y)
                                  | p4(Y)
                                  | p3(Y)
                                  | p2(Y)
                                  | p1(Y)
                                  | ! [X] :
                                      ( ~ r1(Y,X)
                                      | $false ) ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p4(X)
                                          | p3(X)
                                          | p2(X)
                                          | p1(X)
                                          | ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p4(Y)
                                              | p3(Y)
                                              | p2(Y)
                                              | p1(Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | $false ) ) ) )
                                  | ~ ( p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p4(Y)
                                          | p3(Y)
                                          | p2(Y)
                                          | p1(Y)
                                          | ! [X] :
                                              ( ~ r1(Y,X)
                                              | p4(X)
                                              | p3(X)
                                              | p2(X)
                                              | p1(X)
                                              | ! [Y] :
                                                  ( ~ r1(X,Y)
                                                  | $false ) ) ) ) ) ) ) ) )
                & ( p4(X)
                  | p3(X)
                  | p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | p4(Y)
                      | p3(Y)
                      | p2(Y)
                      | p1(Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | $false ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p4(Y)
                          | p3(Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p4(X)
                              | p3(X)
                              | p2(X)
                              | p1(X)
                              | ! [Y] :
                                  ( ~ r1(X,Y)
                                  | $false ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p4(Y)
                                      | p3(Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p4(X)
                                          | p3(X)
                                          | p2(X)
                                          | p1(X)
                                          | ! [Y] :
                                              ( ~ r1(X,Y)
                                              | $false ) ) )
                                  | ~ ( p4(X)
                                      | p3(X)
                                      | p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p4(Y)
                                          | p3(Y)
                                          | p2(Y)
                                          | p1(Y)
                                          | ! [X] :
                                              ( ~ r1(Y,X)
                                              | $false ) ) ) ) ) ) ) )
                & ( p3(X)
                  | p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | p4(Y)
                      | p3(Y)
                      | p2(Y)
                      | p1(Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | $false ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p3(Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p4(X)
                              | p3(X)
                              | p2(X)
                              | p1(X)
                              | ! [Y] :
                                  ( ~ r1(X,Y)
                                  | $false ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p3(Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p4(X)
                                          | p3(X)
                                          | p2(X)
                                          | p1(X)
                                          | ! [Y] :
                                              ( ~ r1(X,Y)
                                              | $false ) ) )
                                  | ~ ( p3(X)
                                      | p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p4(Y)
                                          | p3(Y)
                                          | p2(Y)
                                          | p1(Y)
                                          | ! [X] :
                                              ( ~ r1(Y,X)
                                              | $false ) ) ) ) ) ) ) )
                & ( p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | p4(Y)
                      | p3(Y)
                      | p2(Y)
                      | p1(Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | $false ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p4(X)
                              | p3(X)
                              | p2(X)
                              | p1(X)
                              | ! [Y] :
                                  ( ~ r1(X,Y)
                                  | $false ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p4(X)
                                          | p3(X)
                                          | p2(X)
                                          | p1(X)
                                          | ! [Y] :
                                              ( ~ r1(X,Y)
                                              | $false ) ) )
                                  | ~ ( p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p4(Y)
                                          | p3(Y)
                                          | p2(Y)
                                          | p1(Y)
                                          | ! [X] :
                                              ( ~ r1(Y,X)
                                              | $false ) ) ) ) ) ) ) )
                & ( p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | p4(Y)
                      | p3(Y)
                      | p2(Y)
                      | p1(Y)
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | $false ) )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | p4(X)
                              | p3(X)
                              | p2(X)
                              | p1(X)
                              | ! [Y] :
                                  ( ~ r1(X,Y)
                                  | $false ) )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | p4(X)
                                          | p3(X)
                                          | p2(X)
                                          | p1(X)
                                          | ! [Y] :
                                              ( ~ r1(X,Y)
                                              | $false ) ) )
                                  | ~ ( p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p4(Y)
                                          | p3(Y)
                                          | p2(Y)
                                          | p1(Y)
                                          | ! [X] :
                                              ( ~ r1(Y,X)
                                              | $false ) ) ) ) ) ) ) )
                & ( p4(X)
                  | p3(X)
                  | p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | $false )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p4(Y)
                          | p3(Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | $false )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p4(Y)
                                      | p3(Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | $false ) )
                                  | ~ ( p4(X)
                                      | p3(X)
                                      | p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | $false ) ) ) ) ) ) )
                & ( p3(X)
                  | p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | $false )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p3(Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | $false )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p3(Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | $false ) )
                                  | ~ ( p3(X)
                                      | p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | $false ) ) ) ) ) ) )
                & ( p2(X)
                  | p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | $false )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p2(Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | $false )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p2(Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | $false ) )
                                  | ~ ( p2(X)
                                      | p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | $false ) ) ) ) ) ) )
                & ( p1(X)
                  | ! [Y] :
                      ( ~ r1(X,Y)
                      | $false )
                  | ~ ( ! [Y] :
                          ( ~ r1(X,Y)
                          | p1(Y)
                          | ! [X] :
                              ( ~ r1(Y,X)
                              | $false )
                          | ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y)
                                      | ! [X] :
                                          ( ~ r1(Y,X)
                                          | $false ) )
                                  | ~ ( p1(X)
                                      | ! [Y] :
                                          ( ~ r1(X,Y)
                                          | $false ) ) ) ) ) ) )
                & ! [Y] :
                    ( ~ r1(X,Y)
                    | p2(Y)
                    | ~ ( ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X)
                            | ~ ( ! [Y] :
                                    ( ~ r1(X,Y)
                                    | ! [X] :
                                        ( ~ r1(Y,X)
                                        | p2(X) )
                                    | ~ p2(Y) ) ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
