%------------------------------------------------------------------------------
% File     : DAT006=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Some element is 33
% Version  : [PW06] axioms.
% English  :

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (30) [PW06]

% Status   : Theorem
% Rating   : 0.38 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.75 v5.3.0, 0.70 v5.2.0, 0.67 v5.1.0, 0.40 v5.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   3 type)
%            Number of atoms       :   13 (   5 equality)
%            Maximal formula depth :    6 (   4 average)
%            Number of connectives :    2 (   0   ~;   1   |;   0   &)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :    6 (   5 propositional; 0-2 arity)
%            Number of functors    :    9 (   7 constant; 0-3 arity)
%            Number of variables   :   10 (   0 sgn;   9   !;   1   ?)
%            Maximal term depth    :    5 (   2 average)
%            Arithmetic symbols    :    8 (   1 pred;    0 func;    7 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Includes axioms for arrays
include('Axioms/DAT001=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: array,V: array] :
      ( U = write(write(write(write(V,3,33),4,444),5,55),4,44)
     => ? [W: $int] : read(U,W) = 33 ) )).
%------------------------------------------------------------------------------
