%------------------------------------------------------------------------------
% File     : DAT014=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Compare elements 4
% Version  : [PW06] axioms.
% English  :

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (38) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.67 v5.4.0, 0.62 v5.3.0, 0.70 v5.2.0, 0.83 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   3 type)
%            Number of atoms       :   20 (   3 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    9 (   0   ~;   1   |;   4   &)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :    8 (   5 propositional; 0-2 arity)
%            Number of functors    :   10 (   7 constant; 0-3 arity)
%            Number of variables   :   11 (   0 sgn;  11   !;   0   ?)
%            Maximal term depth    :    3 (   1 average)
%            Arithmetic symbols    :   11 (   3 pred;    1 func;    7 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Includes axioms for arrays
include('Axioms/DAT001=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: array] :
      ( ( ! [V: $int] :
            ( ( $lesseq(1,V)
              & $lesseq(V,10) )
           => $greater(read(U,V),V) )
        & ! [W: $int] :
            ( ( $lesseq(11,W)
              & $lesseq(W,20) )
           => $greater(read(U,W),$difference(20,W)) ) )
     => ! [X: $int] :
          ( ( $lesseq(6,X)
            & $lesseq(X,15) )
         => $greater(read(U,X),5) ) ) )).
%------------------------------------------------------------------------------
