%------------------------------------------------------------------------------
% File     : DAT028=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Comparing elements in two collections 1
% Version  : [PW06] axioms.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (51) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.62 v5.3.0, 0.70 v5.2.0, 1.00 v5.0.0
% Syntax   : Number of formulae    :   11 (   5 unit;   5 type)
%            Number of atoms       :   27 (   2 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   13 (   3   ~;   1   |;   3   &)
%                                         (   2 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   3   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   11 (   8 propositional; 0-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   17 (   0 sgn;  16   !;   1   ?)
%            Maximal term depth    :    2 (   1 average)
%            Arithmetic symbols    :    4 (   2 pred;    0 func;    2 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
%----Includes axioms for collections
include('Axioms/DAT002=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: collection,V: collection] :
      ( ( ! [W: $int] :
            ( in(W,V)
           => $greater(W,0) )
        & ! [X: $int] :
            ( in(X,U)
           => ? [Y: $int] :
                ( in(Y,V)
                & $greater(X,Y) ) ) )
     => ! [Z: $int] :
          ( in(Z,U)
         => $greater(Z,1) ) ) )).
%------------------------------------------------------------------------------
