%------------------------------------------------------------------------------
% File     : DAT060=1 : TPTP v6.1.0. Released v5.5.0.
% Domain   : Data Structures
% Problem  : get-put on self lemma
% Version  : [KIV] axioms.
% English  :

% Refs     : [Rei99] Reif (1999), Email to Geoff Sutcliffe
% Source   : [Rei99]
% Names    :

% Status   : Theorem
% Rating   : 0.25 v6.1.0, 0.33 v6.0.0, 0.29 v5.5.0
% Syntax   : Number of formulae    :   12 (   7 unit;   6 type)
%            Number of atoms       :   20 (   8 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    5 (   2   ~;   1   |;   0   &)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   10 (   8 propositional; 0-2 arity)
%            Number of functors    :    4 (   2 constant; 0-3 arity)
%            Number of variables   :   19 (   0 sgn;  19   !;   0   ?)
%            Maximal term depth    :    3 (   2 average)
%            Arithmetic symbols    :    2 (   2 pred;    0 func;    0 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Include array data types
include('Axioms/DAT004=0.ax').
%------------------------------------------------------------------------------
tff(th_lem_6,conjecture,(
    ! [D: data,Ar: array,N: $int,M: $int] :
      ( get(put(Ar,M,D),N) = get(Ar,N)
      | ~ $less(N,M) ) )).

%------------------------------------------------------------------------------
