%------------------------------------------------------------------------------
% File     : ARI619=2 : TPTP v6.1.0. Released v5.1.0.
% Domain   : Arithmetic
% Problem  : 5 is not a power of 2
% Version  : Especial.
% English  :

% Refs     : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    :

% Status   : Theorem
% Rating   : 0.62 v6.1.0, 0.78 v6.0.0, 0.71 v5.5.0, 0.78 v5.4.0, 0.62 v5.3.0, 0.80 v5.2.0, 0.67 v5.1.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type)
%            Number of atoms       :    8 (   2 equality)
%            Maximal formula depth :    8 (   6 average)
%            Number of connectives :    6 (   1   ~;   1   |;   2   &)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    6 (   3 propositional; 0-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    2 (   0 sgn;   1   !;   1   ?)
%            Maximal term depth    :    2 (   1 average)
%            Arithmetic symbols    :    6 (   2 pred;    1 func;    3 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
tff(pow2_type,type,(
    pow2: $rat > $o )).

tff(not_pow_of_2_5,conjecture,
    ( ! [X: $rat] :
        ( pow2(X)
      <=> ( X = 1/1
          | ( $lesseq(2/1,X)
            & ? [Y: $rat] :
                ( $product(2/1,Y) = X
                & pow2(Y) ) ) ) )
   => ~ pow2(5/1) )).

%------------------------------------------------------------------------------
