%------------------------------------------------------------------------------
% File     : SEV171^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from PAIRS-FUNS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0844 [Bro09]

% Status   : Theorem
% Rating   : 0.57 v5.5.0, 0.67 v5.4.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   15 (   3 equality;  11 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :    7 (   0   ~;   0   |;   1   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   1   :)
%            Number of variables   :    7 (   1 sgn;   3   !;   3   ?;   1   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM33_pme,conjecture,(
    ? [F: a > ( a > a > a ) > a] :
      ( ! [Xx: a,Xy: a] :
          ( ( ( F @ Xx )
            = ( F @ Xy ) )
         => ( Xx = Xy ) )
      & ! [X: a] :
        ? [Y: a,Z: a] :
          ( ( F @ X )
          = ( ^ [G: a > a > a] :
                ( G @ X @ Y ) ) ) ) )).

%------------------------------------------------------------------------------
