%------------------------------------------------------------------------------
% File     : SYO552^1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Syntactic
% Problem  : The first projection exists
% Version  : Especial.
% English  : There is a binary function that returns its first argument

% Refs     : [Bro11] Brown E. (2011), Email to Geoff Sutcliffe
% Source   : [Bro11]
% Names    : PROJ1 [Bro11]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.2.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    5 (   1 equality;   4 variable)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    2 (   0   ~;   0   |;   0   &;   2   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    1 (   0   :)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This simple problem tests higher-order instantiations.
%------------------------------------------------------------------------------
thf(claim,conjecture,(
    ? [F: $i > $i > $i] :
    ! [X: $i,Y: $i] :
      ( ( F @ X @ Y )
      = X ) )).

%------------------------------------------------------------------------------
