%------------------------------------------------------------------------------
% File     : NUM824^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Number Theory (Induction on naturals)
% Problem  : TPS problem from IND-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1001 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.3.0, 0.25 v5.2.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   1 unit;   5 type;   0 defn)
%            Number of atoms       :   42 (   0 equality;  20 variable)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :   32 (   0   ~;   1   |;   5   &;  18   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    8 (   0 sgn;   8   !;   0   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cN,type,(
    cN: $i > $o )).

thf(cODD,type,(
    cODD: $i > $o )).

thf(cEVEN,type,(
    cEVEN: $i > $o )).

thf(cS,type,(
    cS: $i > $i )).

thf(c0,type,(
    c0: $i )).

thf(cTHM623_pme,conjecture,
    ( ( ! [Xp: $i > $o,Xq: $i > $o] :
          ( ( ( Xp @ c0 )
            & ! [Xu: $i] :
                ( ( Xp @ Xu )
               => ( Xq @ ( cS @ Xu ) ) )
            & ! [Xv: $i] :
                ( ( Xq @ Xv )
               => ( Xp @ ( cS @ Xv ) ) ) )
         => ( ! [Xx: $i] :
                ( ( cEVEN @ Xx )
               => ( Xp @ Xx ) )
            & ! [Xx: $i] :
                ( ( cODD @ Xx )
               => ( Xq @ Xx ) ) ) )
      & ( cN @ c0 )
      & ! [Xn: $i] :
          ( ( cN @ Xn )
         => ( cN @ ( cS @ Xn ) ) ) )
   => ! [Xm: $i] :
        ( ( ( cEVEN @ Xm )
          | ( cODD @ Xm ) )
       => ( cN @ Xm ) ) )).

%------------------------------------------------------------------------------
