%------------------------------------------------------------------------------
% File     : SEU940^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM112A
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0389 [Bro09]
%          : THM112A [TPS]
%          : THM112E [TPS]

% Status   : Theorem
% Rating   : 0.83 v5.5.0, 0.60 v5.4.0, 0.75 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   15 (   0 equality;  15 variable)
%            Maximal formula depth :   12 (  12 average)
%            Number of connectives :   14 (   0   ~;   0   |;   3   &;   9   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :)
%            Number of variables   :    7 (   0 sgn;   4   !;   1   ?;   2   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cTHM112A_pme,conjecture,(
    ! [P: $i > $o] :
    ? [M: ( $i > $i ) > $o] :
      ( ( M
        @ ^ [Xx: $i] : Xx )
      & ! [G: $i > $i,H: $i > $i] :
          ( ( ( M @ G )
            & ( M @ H ) )
         => ( ( M
              @ ^ [Xx: $i] :
                  ( G @ ( H @ Xx ) ) )
            & ! [Y: $i] :
                ( ( P @ Y )
               => ( P @ ( G @ Y ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
