%------------------------------------------------------------------------------
% File     : SYN364^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem X2115
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0397 [Bro09]
%          : THM69 [TPS]
%          : X2115 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.3.0, 0.25 v5.2.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   5 type;   0 defn)
%            Number of atoms       :   39 (   0 equality;  15 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   27 (   1   ~;   1   |;   4   &;  18   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    8 (   5   :)
%            Number of variables   :    8 (   0 sgn;   5   !;   3   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: $i > $i > $o )).

thf(g,type,(
    g: $i > $i )).

thf(cM,type,(
    cM: $i > $o )).

thf(cQ,type,(
    cQ: $i > $o )).

thf(f,type,(
    f: $i > $i > $i )).

thf(cX2115,conjecture,
    ( ( ! [Xx: $i] :
          ( ? [Xy: $i] :
              ( cP @ Xx @ Xy )
         => ! [Xz: $i] :
              ( cP @ Xz @ Xz ) )
      & ! [Xu: $i] :
        ? [Xv: $i] :
          ( ( cP @ Xu @ Xv )
          | ( ( cM @ Xu )
            & ( cQ @ ( f @ Xu @ Xv ) ) ) )
      & ! [Xw: $i] :
          ( ( cQ @ Xw )
         => ~ ( cM @ ( g @ Xw ) ) ) )
   => ! [Xu: $i] :
      ? [Xv: $i] :
        ( ( cP @ ( g @ Xu ) @ Xv )
        & ( cP @ Xu @ Xu ) ) )).

%------------------------------------------------------------------------------
