%------------------------------------------------------------------------------
% File     : SYN996^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : Test for naive Skolemization
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 4 [BB05]
%          : choice2 [Bro09]

% Status   : Theorem
%          : Without choice : CounterSatisfiable
% Rating   : 0.50 v6.1.0, 0.17 v5.5.0, 0.20 v5.4.0, 0.25 v4.1.0, 0.33 v4.0.1, 1.00 v3.7.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   10 (   0 equality;   5 variable)
%            Maximal formula depth :    6 (   5 average)
%            Number of connectives :    6 (   0   ~;   0   |;   0   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :    4 (   0 sgn;   2   !;   2   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : 
%------------------------------------------------------------------------------
thf(r_decl,type,(
    r: $i > $i > $o )).

thf(conj,conjecture,
    ( ! [X: $i] :
      ? [Y: $i] :
        ( r @ X @ Y )
   => ? [F: $i > $i] :
      ! [X: $i] :
        ( r @ X @ ( F @ X ) ) )).

%------------------------------------------------------------------------------
