%------------------------------------------------------------------------------
% File     : SYO029^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : There is an identity unary connective
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 25 [BB05]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    3 (   0 equality;   3 variable)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    3 (   1   ~;   0   |;   0   &;   1   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :)
%            Number of variables   :    2 (   0 sgn;   1   !;   1   ?;   0   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : Requires set comprehension
%          : 
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ? [N: $o > $o] :
    ! [P: $o] :
      ( ( N @ P )
    <=> ~ ( P ) ) )).

%------------------------------------------------------------------------------
