%------------------------------------------------------------------------------
% File     : SYO032^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : There is a disjunction connective
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 27 [BB05]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.00 v5.1.0, 0.25 v4.1.0, 0.33 v4.0.1, 0.00 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    5 (   0 equality;   5 variable)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    4 (   0   ~;   1   |;   0   &;   2   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    1 (   0   :)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : Requires set comprehension
%          : 
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ? [D: $o > $o > $o] :
    ! [P: $o,Q: $o] :
      ( ( D @ P @ Q )
    <=> ( P
        | Q ) ) )).

%------------------------------------------------------------------------------
