%------------------------------------------------------------------------------
% File     : SYO033^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : There is a universal quantifer
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 28 [BB05]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v5.5.0, 0.20 v5.4.0, 0.50 v4.1.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    4 (   0 equality;   4 variable)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &;   2   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : Requires set comprehension
%          : 
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ? [Q: ( $i > $o ) > $o] :
    ! [P: $i > $o] :
      ( ( Q @ P )
    <=> ! [X: $i] :
          ( P @ X ) ) )).

%------------------------------------------------------------------------------
