%------------------------------------------------------------------------------
% File     : SYO174^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1055 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v6.0.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.75 v5.2.0, 0.50 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   40 (   0 equality;  16 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   31 (   0   ~;   0   |;   0   &;  16   @)
%                                         (  15 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :)
%            Number of variables   :   16 (   0 sgn;   8   !;   8   ?;   0   ^)
%                                         (  16   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cQ,type,(
    cQ: $i > $o )).

thf(cP,type,(
    cP: $i > $o )).

thf(cS,type,(
    cS: $i > $o )).

thf(cR,type,(
    cR: $i > $o )).

thf(cTHM138,conjecture,
    ( ( ( ? [Xx: $i] :
          ! [Xy: $i] :
            ( ( cP @ Xx )
          <=> ( cP @ Xy ) )
      <=> ( ? [Xx: $i] :
              ( cQ @ Xx )
        <=> ! [Xy: $i] :
              ( cR @ Xy ) ) )
    <=> ( ? [Xx: $i] :
          ! [Xy: $i] :
            ( ( cQ @ Xx )
          <=> ( cQ @ Xy ) )
      <=> ( ? [Xx: $i] :
              ( cR @ Xx )
        <=> ! [Xy: $i] :
              ( cS @ Xy ) ) ) )
  <=> ( ( ? [Xx: $i] :
          ! [Xy: $i] :
            ( ( cR @ Xx )
          <=> ( cR @ Xy ) )
      <=> ( ? [Xx: $i] :
              ( cS @ Xx )
        <=> ! [Xy: $i] :
              ( cP @ Xy ) ) )
    <=> ( ? [Xx: $i] :
          ! [Xy: $i] :
            ( ( cS @ Xx )
          <=> ( cS @ Xy ) )
      <=> ( ? [Xx: $i] :
              ( cP @ Xx )
        <=> ! [Xy: $i] :
              ( cQ @ Xy ) ) ) ) )).

%------------------------------------------------------------------------------
