%------------------------------------------------------------------------------
% File     : SYO183^6 : TPTP v6.1.0. Released v5.1.0.
% Domain   : Syntactic
% Problem  : TPS problem THM123
% Version  : Especial.
% English  : Trivial theorem to test TPS.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0013 [Bro09]
%          : THM123 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.00 v5.1.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    2 (   0 equality;   2 variable)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :    1 (   0   ~;   0   |;   0   &;   1   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    1 (   0   :)
%            Number of variables   :    2 (   0 sgn;   1   !;   1   ?;   0   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%          : Renamed from SYO251^5 
%------------------------------------------------------------------------------
thf(cTHM123,conjecture,(
    ! [Xp: $o] :
    ? [Xf: $o > $o] :
      ( Xf @ Xp ) )).

%------------------------------------------------------------------------------
