%------------------------------------------------------------------------------
% File     : SYO259^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM125B
% Version  : Especial.
% English  : Trivial theorem to test flexible-flexible pairs.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0146 [Bro09]
%          : THM125B [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   12 (   0 equality;  12 variable)
%            Maximal formula depth :   12 (  12 average)
%            Number of connectives :   12 (   1   ~;   3   |;   2   &;   6   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   0   :)
%            Number of variables   :    6 (   0 sgn;   4   !;   2   ?;   0   ^)
%                                         (   6   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cTHM125B,conjecture,(
    ! [Xa: $i,Xb: $i,Xc: $i,P: $i > $o] :
    ? [Xm: $i > $o,Xn: $i > $o] :
      ( ( ( Xn @ Xa )
        | ( Xm @ Xa ) )
      & ( ( P @ Xb )
        | ( Xn @ Xb ) )
      & ( ( Xm @ Xc )
        | ~ ( P @ Xc ) ) ) )).

%------------------------------------------------------------------------------
