%------------------------------------------------------------------------------
% File     : SYO268^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem X5308
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0240 [Bro09]
%          : X5308 [TPS]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   2 unit;   3 type;   0 defn)
%            Number of atoms       :   17 (   0 equality;  10 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   11 (   0   ~;   0   |;   0   &;   8   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :)
%            Number of variables   :    7 (   0 sgn;   3   !;   4   ?;   0   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(r,type,(
    r: a > b > $o )).

thf(cX5308,conjecture,
    ( ? [Xj: ( b > $o ) > b] :
      ! [Xp: b > $o] :
        ( ? [Xx: b] :
            ( Xp @ Xx )
       => ( Xp @ ( Xj @ Xp ) ) )
   => ( ! [Xx: a] :
        ? [Xy: b] :
          ( r @ Xx @ Xy )
    <=> ? [Xf: a > b] :
        ! [Xx: a] :
          ( r @ Xx @ ( Xf @ Xx ) ) ) )).

%------------------------------------------------------------------------------
