%------------------------------------------------------------------------------
% File     : SYO301^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0775 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   3 type;   0 defn)
%            Number of atoms       :   15 (   0 equality;   5 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :    9 (   0   ~;   0   |;   1   &;   6   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :)
%            Number of variables   :    3 (   0 sgn;   1   !;   2   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(b,type,(
    b: $i )).

thf(cBLEDSOE5,conjecture,
    ( ( cP @ ( f @ b ) )
   => ? [Xs: $i,A: $i > $o] :
        ( ! [Xx: $i] :
            ( ( A @ Xx )
           => ( cP @ Xx ) )
        & ( A @ ( f @ Xs ) ) ) )).

%------------------------------------------------------------------------------
