%------------------------------------------------------------------------------
% File     : SYO309^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0833 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v6.1.0, 0.50 v6.0.0, 0.67 v5.5.0, 0.80 v5.4.0, 0.75 v5.2.0, 0.50 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   21 (   0 equality;   8 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   15 (   2   ~;   0   |;   0   &;  10   @)
%                                         (   2 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   3   :)
%            Number of variables   :    5 (   0 sgn;   2   !;   3   ?;   0   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cS,type,(
    cS: $i > $i )).

thf(cQ,type,(
    cQ: $i > $i )).

thf(cR,type,(
    cR: $i > $i > $o )).

thf(cEO1,conjecture,
    ( ! [Xx: $i] :
        ( ? [Xu: $i] :
            ( cR @ Xx @ ( cQ @ Xu ) )
      <=> ~ ( ? [Xv: $i] :
                ( cR @ ( cS @ Xx ) @ ( cQ @ Xv ) ) ) )
   => ? [A: $i > $o] :
      ! [Xx: $i] :
        ( ( A @ Xx )
      <=> ~ ( A @ ( cS @ Xx ) ) ) )).

%------------------------------------------------------------------------------
