%------------------------------------------------------------------------------
% File     : SYO376^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from EXTENSIONALITY
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0807 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v6.1.0, 0.50 v6.0.0, 0.33 v5.5.0, 0.00 v5.4.0, 0.25 v5.3.0, 0.50 v5.1.0, 0.75 v5.0.0, 0.50 v4.1.0, 1.00 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   21 (   0 equality;   4 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   14 (   1   ~;   3   |;   1   &;   8   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :)
%            Number of variables   :    2 (   0 sgn;   0   !;   0   ?;   2   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cG,type,(
    cG: $o > $o )).

thf(cF,type,(
    cF: $o > $o )).

thf(cP,type,(
    cP: ( $o > $o ) > $o )).

thf(cTHM627,conjecture,
    ( ( ( cP @ cF )
      & ( cP @ cG ) )
   => ( ( cP
        @ ^ [Xx: $o] :
            ( ( cF @ Xx )
            | ( cG @ Xx ) ) )
      | ( cP
        @ ^ [Xx: $o] :
            ( ~ ( cF @ Xx )
            | ( cG @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
