%------------------------------------------------------------------------------
% File     : SYO377^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from EXTENSIONALITY
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0831 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.50 v6.0.0, 0.33 v5.5.0, 0.00 v5.3.0, 0.25 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :   15 (   0 equality;   9 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   12 (   0   ~;   0   |;   2   &;   5   @)
%                                         (   1 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   2   :)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(b,type,(
    b: $o )).

thf(a,type,(
    a: $o )).

thf(cEXT_IMP_EMB2,conjecture,
    ( ! [Xx: $o,Xy: $o] :
        ( ( Xx
        <=> Xy )
       => ! [Xq: $o > $o] :
            ( ( Xq @ Xx )
           => ( Xq @ Xy ) ) )
   => ! [Xp: $o > $o] :
        ( ( ( Xp @ a )
          & ( Xp @ b ) )
       => ( Xp
          @ ( a
            & b ) ) ) )).

%------------------------------------------------------------------------------
