%------------------------------------------------------------------------------
% File     : SYO548^1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Syntactic
% Problem  : hoice complement
% Version  : Especial.
% English  : There is an operator that chooses an element not in the predicate,
%            if there is one.

% Refs     : [Bac10] Backes (2010), Tableaux for Higher-Order Logic with If
%          : [Bro11] Brown E. (2011), Email to Geoff Sutcliffe
% Source   : [Bro11]
% Names    : CHOICE25 [Bro11]

% Status   : Theorem
% Rating   : 0.83 v6.1.0, 0.67 v6.0.0, 0.83 v5.5.0, 0.80 v5.4.0, 0.75 v5.2.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    5 (   0 equality;   5 variable)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    6 (   2   ~;   0   |;   0   &;   3   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   0   :)
%            Number of variables   :    3 (   0 sgn;   1   !;   2   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : 
%------------------------------------------------------------------------------
thf(choicecomp,conjecture,(
    ? [E: ( $i > $o ) > $i] :
    ! [P: $i > $o] :
      ( ? [X: $i] :
          ~ ( P @ X )
     => ~ ( P @ ( E @ P ) ) ) )).

%------------------------------------------------------------------------------
