%--------------------------------------------------------------------------
% File     : GRP122-1 : TPTP v6.1.0. Released v1.2.0.
% Domain   : Group Theory
% Problem  : Derive associativity from a single axiom for groups order 4
% Version  : [Wos96] (equality) axioms.
% English  :

% Refs     : [Wos96] Wos (1996), The Automation of Reasoning: An Experiment
% Source   : [OTTER]
% Names    : groups.exp4.in part 4 [OTTER]

% Status   : Unsatisfiable
% Rating   : 0.21 v6.1.0, 0.38 v6.0.0, 0.52 v5.5.0, 0.47 v5.4.0, 0.33 v5.3.0, 0.25 v5.2.0, 0.29 v5.1.0, 0.20 v5.0.0, 0.14 v4.1.0, 0.09 v4.0.1, 0.14 v4.0.0, 0.15 v3.7.0, 0.11 v3.4.0, 0.12 v3.3.0, 0.14 v3.2.0, 0.07 v3.1.0, 0.22 v2.7.0, 0.00 v2.2.1, 0.56 v2.2.0, 0.57 v2.1.0, 0.43 v2.0.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   2 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :    3 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( multiply(Y,multiply(multiply(Y,multiply(multiply(Y,Y),multiply(X,Z))),multiply(Z,multiply(Z,Z)))) = X )).

cnf(single_axiom2,axiom,
    ( multiply(identity,identity) = identity )).

cnf(prove_order3,negated_conjecture,
    (  multiply(multiply(a,b),c) != multiply(a,multiply(b,c)) )).

%--------------------------------------------------------------------------
