%------------------------------------------------------------------------------
% File     : GRP754-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : A new basis for trimedial quasigroups: part 2b
% Version  : Especial.
% English  :

% Refs     : [KP04]  Kinyon & Phillips (2004), Axioms for Trimedial Quasigr
%          : [Sta08] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08]
% Names    : KP04b_2b [Sta08]

% Status   : Unsatisfiable
% Rating   : 0.36 v6.1.0, 0.50 v6.0.0, 0.57 v5.5.0, 0.58 v5.4.0, 0.47 v5.3.0, 0.42 v5.2.0, 0.43 v5.1.0, 0.53 v5.0.0, 0.43 v4.1.0, 0.45 v4.0.1, 0.50 v4.0.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   7 unit;   1 RR)
%            Number of atoms       :    7 (   7 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(f01,axiom,
    ( mult(A,ld(A,B)) = B )).

cnf(f02,axiom,
    ( ld(A,mult(A,B)) = B )).

cnf(f03,axiom,
    ( mult(rd(A,B),B) = A )).

cnf(f04,axiom,
    ( rd(mult(A,B),B) = A )).

cnf(f05,axiom,
    ( mult(A,mult(B,C)) = mult(mult(rd(A,A),B),mult(A,C)) )).

cnf(f06,axiom,
    ( mult(mult(A,B),C) = mult(mult(A,C),mult(B,ld(C,C))) )).

cnf(goals,negated_conjecture,
    ( mult(mult(a,a),mult(b,c)) != mult(mult(a,b),mult(a,c)) )).

%------------------------------------------------------------------------------
