%--------------------------------------------------------------------------
% File     : LAT096-1 : TPTP v6.1.0. Released v2.6.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Axiom for weakly associative lattices (WAL), part 5
% Version  : [MP96] (equality) axioms : Especial.
% English  :

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.43 v6.1.0, 0.56 v6.0.0, 0.62 v5.5.0, 0.63 v5.4.0, 0.60 v5.3.0, 0.58 v5.2.0, 0.57 v5.1.0, 0.53 v5.0.0, 0.50 v4.1.0, 0.55 v4.0.1, 0.43 v4.0.0, 0.38 v3.7.0, 0.56 v3.4.0, 0.50 v3.3.0, 0.36 v3.1.0, 0.11 v2.7.0, 0.45 v2.6.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   2 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    6 (   1 singleton)
%            Maximal term depth    :   11 (   4 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : A UEQ part of LAT030-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( join(meet(join(meet(A,B),meet(B,join(A,B))),C),meet(join(meet(A,join(join(meet(B,D),meet(E,B)),B)),meet(join(meet(B,meet(meet(join(B,D),join(E,B)),B)),meet(F,join(B,meet(meet(join(B,D),join(E,B)),B)))),join(A,join(join(meet(B,D),meet(E,B)),B)))),join(join(meet(A,B),meet(B,join(A,B))),C))) = B )).

cnf(prove_wal_axioms_5,negated_conjecture,
    (  meet(meet(join(a,b),join(c,b)),b) != b )).

%--------------------------------------------------------------------------
