%------------------------------------------------------------------------------
% File     : LAT167-1 : TPTP v6.1.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H78 implies H77
% Version  : [McC05] (equality) axioms : Especial.
% English  :

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.93 v6.1.0, 1.00 v5.0.0, 0.93 v4.1.0, 0.91 v4.0.1, 0.93 v4.0.0, 0.92 v3.7.0, 0.89 v3.4.0, 0.75 v3.3.0, 0.93 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   20 (   2 singleton)
%            Maximal term depth    :    7 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H78,axiom,
    ( meet(X,join(Y,meet(Z,join(Y,U)))) = meet(X,join(Y,meet(Z,join(U,meet(Y,join(X,U)))))) )).

cnf(prove_H77,negated_conjecture,
    (  meet(a,join(b,meet(c,join(b,d)))) != meet(a,join(b,meet(c,join(d,meet(a,meet(b,c)))))) )).

%------------------------------------------------------------------------------
